Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/116
Addresses4,096
/64 networksPart of one
Network
2c19:dd:dd0:ec00:c25:c25:dd03:6000/116
First address
2c19:dd:dd0:ec00:c25:c25:dd03:6000
Last address
2c19:dd:dd0:ec00:c25:c25:dd03:6fff
Addresses
4,096
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:0dd0:ec00:0c25:0c25:dd03:6000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
6.3.0.d.d.5.2.c.0.5.2.c.0.0.0.c.e.0.d.d.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets/124

2c19:dd:dd0:ec00:c25:c25:dd03:6000/116 makes 256 subnets of /124.

Subnets
#SubnetLast address
12c19:dd:dd0:ec00:c25:c25:dd03:6000/1242c19:dd:dd0:ec00:c25:c25:dd03:600f
22c19:dd:dd0:ec00:c25:c25:dd03:6010/1242c19:dd:dd0:ec00:c25:c25:dd03:601f
32c19:dd:dd0:ec00:c25:c25:dd03:6020/1242c19:dd:dd0:ec00:c25:c25:dd03:602f
42c19:dd:dd0:ec00:c25:c25:dd03:6030/1242c19:dd:dd0:ec00:c25:c25:dd03:603f
52c19:dd:dd0:ec00:c25:c25:dd03:6040/1242c19:dd:dd0:ec00:c25:c25:dd03:604f
62c19:dd:dd0:ec00:c25:c25:dd03:6050/1242c19:dd:dd0:ec00:c25:c25:dd03:605f
72c19:dd:dd0:ec00:c25:c25:dd03:6060/1242c19:dd:dd0:ec00:c25:c25:dd03:606f
82c19:dd:dd0:ec00:c25:c25:dd03:6070/1242c19:dd:dd0:ec00:c25:c25:dd03:607f
92c19:dd:dd0:ec00:c25:c25:dd03:6080/1242c19:dd:dd0:ec00:c25:c25:dd03:608f
102c19:dd:dd0:ec00:c25:c25:dd03:6090/1242c19:dd:dd0:ec00:c25:c25:dd03:609f
112c19:dd:dd0:ec00:c25:c25:dd03:60a0/1242c19:dd:dd0:ec00:c25:c25:dd03:60af
122c19:dd:dd0:ec00:c25:c25:dd03:60b0/1242c19:dd:dd0:ec00:c25:c25:dd03:60bf
132c19:dd:dd0:ec00:c25:c25:dd03:60c0/1242c19:dd:dd0:ec00:c25:c25:dd03:60cf
142c19:dd:dd0:ec00:c25:c25:dd03:60d0/1242c19:dd:dd0:ec00:c25:c25:dd03:60df
152c19:dd:dd0:ec00:c25:c25:dd03:60e0/1242c19:dd:dd0:ec00:c25:c25:dd03:60ef
162c19:dd:dd0:ec00:c25:c25:dd03:60f0/1242c19:dd:dd0:ec00:c25:c25:dd03:60ff
172c19:dd:dd0:ec00:c25:c25:dd03:6100/1242c19:dd:dd0:ec00:c25:c25:dd03:610f
182c19:dd:dd0:ec00:c25:c25:dd03:6110/1242c19:dd:dd0:ec00:c25:c25:dd03:611f
192c19:dd:dd0:ec00:c25:c25:dd03:6120/1242c19:dd:dd0:ec00:c25:c25:dd03:612f
202c19:dd:dd0:ec00:c25:c25:dd03:6130/1242c19:dd:dd0:ec00:c25:c25:dd03:613f
212c19:dd:dd0:ec00:c25:c25:dd03:6140/1242c19:dd:dd0:ec00:c25:c25:dd03:614f
222c19:dd:dd0:ec00:c25:c25:dd03:6150/1242c19:dd:dd0:ec00:c25:c25:dd03:615f
232c19:dd:dd0:ec00:c25:c25:dd03:6160/1242c19:dd:dd0:ec00:c25:c25:dd03:616f
242c19:dd:dd0:ec00:c25:c25:dd03:6170/1242c19:dd:dd0:ec00:c25:c25:dd03:617f
252c19:dd:dd0:ec00:c25:c25:dd03:6180/1242c19:dd:dd0:ec00:c25:c25:dd03:618f
262c19:dd:dd0:ec00:c25:c25:dd03:6190/1242c19:dd:dd0:ec00:c25:c25:dd03:619f
272c19:dd:dd0:ec00:c25:c25:dd03:61a0/1242c19:dd:dd0:ec00:c25:c25:dd03:61af
282c19:dd:dd0:ec00:c25:c25:dd03:61b0/1242c19:dd:dd0:ec00:c25:c25:dd03:61bf
292c19:dd:dd0:ec00:c25:c25:dd03:61c0/1242c19:dd:dd0:ec00:c25:c25:dd03:61cf
302c19:dd:dd0:ec00:c25:c25:dd03:61d0/1242c19:dd:dd0:ec00:c25:c25:dd03:61df
312c19:dd:dd0:ec00:c25:c25:dd03:61e0/1242c19:dd:dd0:ec00:c25:c25:dd03:61ef
322c19:dd:dd0:ec00:c25:c25:dd03:61f0/1242c19:dd:dd0:ec00:c25:c25:dd03:61ff
332c19:dd:dd0:ec00:c25:c25:dd03:6200/1242c19:dd:dd0:ec00:c25:c25:dd03:620f
342c19:dd:dd0:ec00:c25:c25:dd03:6210/1242c19:dd:dd0:ec00:c25:c25:dd03:621f
352c19:dd:dd0:ec00:c25:c25:dd03:6220/1242c19:dd:dd0:ec00:c25:c25:dd03:622f
362c19:dd:dd0:ec00:c25:c25:dd03:6230/1242c19:dd:dd0:ec00:c25:c25:dd03:623f
372c19:dd:dd0:ec00:c25:c25:dd03:6240/1242c19:dd:dd0:ec00:c25:c25:dd03:624f
382c19:dd:dd0:ec00:c25:c25:dd03:6250/1242c19:dd:dd0:ec00:c25:c25:dd03:625f
392c19:dd:dd0:ec00:c25:c25:dd03:6260/1242c19:dd:dd0:ec00:c25:c25:dd03:626f
402c19:dd:dd0:ec00:c25:c25:dd03:6270/1242c19:dd:dd0:ec00:c25:c25:dd03:627f
412c19:dd:dd0:ec00:c25:c25:dd03:6280/1242c19:dd:dd0:ec00:c25:c25:dd03:628f
422c19:dd:dd0:ec00:c25:c25:dd03:6290/1242c19:dd:dd0:ec00:c25:c25:dd03:629f
432c19:dd:dd0:ec00:c25:c25:dd03:62a0/1242c19:dd:dd0:ec00:c25:c25:dd03:62af
442c19:dd:dd0:ec00:c25:c25:dd03:62b0/1242c19:dd:dd0:ec00:c25:c25:dd03:62bf
452c19:dd:dd0:ec00:c25:c25:dd03:62c0/1242c19:dd:dd0:ec00:c25:c25:dd03:62cf
462c19:dd:dd0:ec00:c25:c25:dd03:62d0/1242c19:dd:dd0:ec00:c25:c25:dd03:62df
472c19:dd:dd0:ec00:c25:c25:dd03:62e0/1242c19:dd:dd0:ec00:c25:c25:dd03:62ef
482c19:dd:dd0:ec00:c25:c25:dd03:62f0/1242c19:dd:dd0:ec00:c25:c25:dd03:62ff
492c19:dd:dd0:ec00:c25:c25:dd03:6300/1242c19:dd:dd0:ec00:c25:c25:dd03:630f
502c19:dd:dd0:ec00:c25:c25:dd03:6310/1242c19:dd:dd0:ec00:c25:c25:dd03:631f
512c19:dd:dd0:ec00:c25:c25:dd03:6320/1242c19:dd:dd0:ec00:c25:c25:dd03:632f
522c19:dd:dd0:ec00:c25:c25:dd03:6330/1242c19:dd:dd0:ec00:c25:c25:dd03:633f
532c19:dd:dd0:ec00:c25:c25:dd03:6340/1242c19:dd:dd0:ec00:c25:c25:dd03:634f
542c19:dd:dd0:ec00:c25:c25:dd03:6350/1242c19:dd:dd0:ec00:c25:c25:dd03:635f
552c19:dd:dd0:ec00:c25:c25:dd03:6360/1242c19:dd:dd0:ec00:c25:c25:dd03:636f
562c19:dd:dd0:ec00:c25:c25:dd03:6370/1242c19:dd:dd0:ec00:c25:c25:dd03:637f
572c19:dd:dd0:ec00:c25:c25:dd03:6380/1242c19:dd:dd0:ec00:c25:c25:dd03:638f
582c19:dd:dd0:ec00:c25:c25:dd03:6390/1242c19:dd:dd0:ec00:c25:c25:dd03:639f
592c19:dd:dd0:ec00:c25:c25:dd03:63a0/1242c19:dd:dd0:ec00:c25:c25:dd03:63af
602c19:dd:dd0:ec00:c25:c25:dd03:63b0/1242c19:dd:dd0:ec00:c25:c25:dd03:63bf
612c19:dd:dd0:ec00:c25:c25:dd03:63c0/1242c19:dd:dd0:ec00:c25:c25:dd03:63cf
622c19:dd:dd0:ec00:c25:c25:dd03:63d0/1242c19:dd:dd0:ec00:c25:c25:dd03:63df
632c19:dd:dd0:ec00:c25:c25:dd03:63e0/1242c19:dd:dd0:ec00:c25:c25:dd03:63ef
642c19:dd:dd0:ec00:c25:c25:dd03:63f0/1242c19:dd:dd0:ec00:c25:c25:dd03:63ff
652c19:dd:dd0:ec00:c25:c25:dd03:6400/1242c19:dd:dd0:ec00:c25:c25:dd03:640f
662c19:dd:dd0:ec00:c25:c25:dd03:6410/1242c19:dd:dd0:ec00:c25:c25:dd03:641f
672c19:dd:dd0:ec00:c25:c25:dd03:6420/1242c19:dd:dd0:ec00:c25:c25:dd03:642f
682c19:dd:dd0:ec00:c25:c25:dd03:6430/1242c19:dd:dd0:ec00:c25:c25:dd03:643f
692c19:dd:dd0:ec00:c25:c25:dd03:6440/1242c19:dd:dd0:ec00:c25:c25:dd03:644f
702c19:dd:dd0:ec00:c25:c25:dd03:6450/1242c19:dd:dd0:ec00:c25:c25:dd03:645f
712c19:dd:dd0:ec00:c25:c25:dd03:6460/1242c19:dd:dd0:ec00:c25:c25:dd03:646f
722c19:dd:dd0:ec00:c25:c25:dd03:6470/1242c19:dd:dd0:ec00:c25:c25:dd03:647f
732c19:dd:dd0:ec00:c25:c25:dd03:6480/1242c19:dd:dd0:ec00:c25:c25:dd03:648f
742c19:dd:dd0:ec00:c25:c25:dd03:6490/1242c19:dd:dd0:ec00:c25:c25:dd03:649f
752c19:dd:dd0:ec00:c25:c25:dd03:64a0/1242c19:dd:dd0:ec00:c25:c25:dd03:64af
762c19:dd:dd0:ec00:c25:c25:dd03:64b0/1242c19:dd:dd0:ec00:c25:c25:dd03:64bf
772c19:dd:dd0:ec00:c25:c25:dd03:64c0/1242c19:dd:dd0:ec00:c25:c25:dd03:64cf
782c19:dd:dd0:ec00:c25:c25:dd03:64d0/1242c19:dd:dd0:ec00:c25:c25:dd03:64df
792c19:dd:dd0:ec00:c25:c25:dd03:64e0/1242c19:dd:dd0:ec00:c25:c25:dd03:64ef
802c19:dd:dd0:ec00:c25:c25:dd03:64f0/1242c19:dd:dd0:ec00:c25:c25:dd03:64ff
812c19:dd:dd0:ec00:c25:c25:dd03:6500/1242c19:dd:dd0:ec00:c25:c25:dd03:650f
822c19:dd:dd0:ec00:c25:c25:dd03:6510/1242c19:dd:dd0:ec00:c25:c25:dd03:651f
832c19:dd:dd0:ec00:c25:c25:dd03:6520/1242c19:dd:dd0:ec00:c25:c25:dd03:652f
842c19:dd:dd0:ec00:c25:c25:dd03:6530/1242c19:dd:dd0:ec00:c25:c25:dd03:653f
852c19:dd:dd0:ec00:c25:c25:dd03:6540/1242c19:dd:dd0:ec00:c25:c25:dd03:654f
862c19:dd:dd0:ec00:c25:c25:dd03:6550/1242c19:dd:dd0:ec00:c25:c25:dd03:655f
872c19:dd:dd0:ec00:c25:c25:dd03:6560/1242c19:dd:dd0:ec00:c25:c25:dd03:656f
882c19:dd:dd0:ec00:c25:c25:dd03:6570/1242c19:dd:dd0:ec00:c25:c25:dd03:657f
892c19:dd:dd0:ec00:c25:c25:dd03:6580/1242c19:dd:dd0:ec00:c25:c25:dd03:658f
902c19:dd:dd0:ec00:c25:c25:dd03:6590/1242c19:dd:dd0:ec00:c25:c25:dd03:659f
912c19:dd:dd0:ec00:c25:c25:dd03:65a0/1242c19:dd:dd0:ec00:c25:c25:dd03:65af
922c19:dd:dd0:ec00:c25:c25:dd03:65b0/1242c19:dd:dd0:ec00:c25:c25:dd03:65bf
932c19:dd:dd0:ec00:c25:c25:dd03:65c0/1242c19:dd:dd0:ec00:c25:c25:dd03:65cf
942c19:dd:dd0:ec00:c25:c25:dd03:65d0/1242c19:dd:dd0:ec00:c25:c25:dd03:65df
952c19:dd:dd0:ec00:c25:c25:dd03:65e0/1242c19:dd:dd0:ec00:c25:c25:dd03:65ef
962c19:dd:dd0:ec00:c25:c25:dd03:65f0/1242c19:dd:dd0:ec00:c25:c25:dd03:65ff
972c19:dd:dd0:ec00:c25:c25:dd03:6600/1242c19:dd:dd0:ec00:c25:c25:dd03:660f
982c19:dd:dd0:ec00:c25:c25:dd03:6610/1242c19:dd:dd0:ec00:c25:c25:dd03:661f
992c19:dd:dd0:ec00:c25:c25:dd03:6620/1242c19:dd:dd0:ec00:c25:c25:dd03:662f
1002c19:dd:dd0:ec00:c25:c25:dd03:6630/1242c19:dd:dd0:ec00:c25:c25:dd03:663f
1012c19:dd:dd0:ec00:c25:c25:dd03:6640/1242c19:dd:dd0:ec00:c25:c25:dd03:664f
1022c19:dd:dd0:ec00:c25:c25:dd03:6650/1242c19:dd:dd0:ec00:c25:c25:dd03:665f
1032c19:dd:dd0:ec00:c25:c25:dd03:6660/1242c19:dd:dd0:ec00:c25:c25:dd03:666f
1042c19:dd:dd0:ec00:c25:c25:dd03:6670/1242c19:dd:dd0:ec00:c25:c25:dd03:667f
1052c19:dd:dd0:ec00:c25:c25:dd03:6680/1242c19:dd:dd0:ec00:c25:c25:dd03:668f
1062c19:dd:dd0:ec00:c25:c25:dd03:6690/1242c19:dd:dd0:ec00:c25:c25:dd03:669f
1072c19:dd:dd0:ec00:c25:c25:dd03:66a0/1242c19:dd:dd0:ec00:c25:c25:dd03:66af
1082c19:dd:dd0:ec00:c25:c25:dd03:66b0/1242c19:dd:dd0:ec00:c25:c25:dd03:66bf
1092c19:dd:dd0:ec00:c25:c25:dd03:66c0/1242c19:dd:dd0:ec00:c25:c25:dd03:66cf
1102c19:dd:dd0:ec00:c25:c25:dd03:66d0/1242c19:dd:dd0:ec00:c25:c25:dd03:66df
1112c19:dd:dd0:ec00:c25:c25:dd03:66e0/1242c19:dd:dd0:ec00:c25:c25:dd03:66ef
1122c19:dd:dd0:ec00:c25:c25:dd03:66f0/1242c19:dd:dd0:ec00:c25:c25:dd03:66ff
1132c19:dd:dd0:ec00:c25:c25:dd03:6700/1242c19:dd:dd0:ec00:c25:c25:dd03:670f
1142c19:dd:dd0:ec00:c25:c25:dd03:6710/1242c19:dd:dd0:ec00:c25:c25:dd03:671f
1152c19:dd:dd0:ec00:c25:c25:dd03:6720/1242c19:dd:dd0:ec00:c25:c25:dd03:672f
1162c19:dd:dd0:ec00:c25:c25:dd03:6730/1242c19:dd:dd0:ec00:c25:c25:dd03:673f
1172c19:dd:dd0:ec00:c25:c25:dd03:6740/1242c19:dd:dd0:ec00:c25:c25:dd03:674f
1182c19:dd:dd0:ec00:c25:c25:dd03:6750/1242c19:dd:dd0:ec00:c25:c25:dd03:675f
1192c19:dd:dd0:ec00:c25:c25:dd03:6760/1242c19:dd:dd0:ec00:c25:c25:dd03:676f
1202c19:dd:dd0:ec00:c25:c25:dd03:6770/1242c19:dd:dd0:ec00:c25:c25:dd03:677f
1212c19:dd:dd0:ec00:c25:c25:dd03:6780/1242c19:dd:dd0:ec00:c25:c25:dd03:678f
1222c19:dd:dd0:ec00:c25:c25:dd03:6790/1242c19:dd:dd0:ec00:c25:c25:dd03:679f
1232c19:dd:dd0:ec00:c25:c25:dd03:67a0/1242c19:dd:dd0:ec00:c25:c25:dd03:67af
1242c19:dd:dd0:ec00:c25:c25:dd03:67b0/1242c19:dd:dd0:ec00:c25:c25:dd03:67bf
1252c19:dd:dd0:ec00:c25:c25:dd03:67c0/1242c19:dd:dd0:ec00:c25:c25:dd03:67cf
1262c19:dd:dd0:ec00:c25:c25:dd03:67d0/1242c19:dd:dd0:ec00:c25:c25:dd03:67df
1272c19:dd:dd0:ec00:c25:c25:dd03:67e0/1242c19:dd:dd0:ec00:c25:c25:dd03:67ef
1282c19:dd:dd0:ec00:c25:c25:dd03:67f0/1242c19:dd:dd0:ec00:c25:c25:dd03:67ff
1292c19:dd:dd0:ec00:c25:c25:dd03:6800/1242c19:dd:dd0:ec00:c25:c25:dd03:680f
1302c19:dd:dd0:ec00:c25:c25:dd03:6810/1242c19:dd:dd0:ec00:c25:c25:dd03:681f
1312c19:dd:dd0:ec00:c25:c25:dd03:6820/1242c19:dd:dd0:ec00:c25:c25:dd03:682f
1322c19:dd:dd0:ec00:c25:c25:dd03:6830/1242c19:dd:dd0:ec00:c25:c25:dd03:683f
1332c19:dd:dd0:ec00:c25:c25:dd03:6840/1242c19:dd:dd0:ec00:c25:c25:dd03:684f
1342c19:dd:dd0:ec00:c25:c25:dd03:6850/1242c19:dd:dd0:ec00:c25:c25:dd03:685f
1352c19:dd:dd0:ec00:c25:c25:dd03:6860/1242c19:dd:dd0:ec00:c25:c25:dd03:686f
1362c19:dd:dd0:ec00:c25:c25:dd03:6870/1242c19:dd:dd0:ec00:c25:c25:dd03:687f
1372c19:dd:dd0:ec00:c25:c25:dd03:6880/1242c19:dd:dd0:ec00:c25:c25:dd03:688f
1382c19:dd:dd0:ec00:c25:c25:dd03:6890/1242c19:dd:dd0:ec00:c25:c25:dd03:689f
1392c19:dd:dd0:ec00:c25:c25:dd03:68a0/1242c19:dd:dd0:ec00:c25:c25:dd03:68af
1402c19:dd:dd0:ec00:c25:c25:dd03:68b0/1242c19:dd:dd0:ec00:c25:c25:dd03:68bf
1412c19:dd:dd0:ec00:c25:c25:dd03:68c0/1242c19:dd:dd0:ec00:c25:c25:dd03:68cf
1422c19:dd:dd0:ec00:c25:c25:dd03:68d0/1242c19:dd:dd0:ec00:c25:c25:dd03:68df
1432c19:dd:dd0:ec00:c25:c25:dd03:68e0/1242c19:dd:dd0:ec00:c25:c25:dd03:68ef
1442c19:dd:dd0:ec00:c25:c25:dd03:68f0/1242c19:dd:dd0:ec00:c25:c25:dd03:68ff
1452c19:dd:dd0:ec00:c25:c25:dd03:6900/1242c19:dd:dd0:ec00:c25:c25:dd03:690f
1462c19:dd:dd0:ec00:c25:c25:dd03:6910/1242c19:dd:dd0:ec00:c25:c25:dd03:691f
1472c19:dd:dd0:ec00:c25:c25:dd03:6920/1242c19:dd:dd0:ec00:c25:c25:dd03:692f
1482c19:dd:dd0:ec00:c25:c25:dd03:6930/1242c19:dd:dd0:ec00:c25:c25:dd03:693f
1492c19:dd:dd0:ec00:c25:c25:dd03:6940/1242c19:dd:dd0:ec00:c25:c25:dd03:694f
1502c19:dd:dd0:ec00:c25:c25:dd03:6950/1242c19:dd:dd0:ec00:c25:c25:dd03:695f
1512c19:dd:dd0:ec00:c25:c25:dd03:6960/1242c19:dd:dd0:ec00:c25:c25:dd03:696f
1522c19:dd:dd0:ec00:c25:c25:dd03:6970/1242c19:dd:dd0:ec00:c25:c25:dd03:697f
1532c19:dd:dd0:ec00:c25:c25:dd03:6980/1242c19:dd:dd0:ec00:c25:c25:dd03:698f
1542c19:dd:dd0:ec00:c25:c25:dd03:6990/1242c19:dd:dd0:ec00:c25:c25:dd03:699f
1552c19:dd:dd0:ec00:c25:c25:dd03:69a0/1242c19:dd:dd0:ec00:c25:c25:dd03:69af
1562c19:dd:dd0:ec00:c25:c25:dd03:69b0/1242c19:dd:dd0:ec00:c25:c25:dd03:69bf
1572c19:dd:dd0:ec00:c25:c25:dd03:69c0/1242c19:dd:dd0:ec00:c25:c25:dd03:69cf
1582c19:dd:dd0:ec00:c25:c25:dd03:69d0/1242c19:dd:dd0:ec00:c25:c25:dd03:69df
1592c19:dd:dd0:ec00:c25:c25:dd03:69e0/1242c19:dd:dd0:ec00:c25:c25:dd03:69ef
1602c19:dd:dd0:ec00:c25:c25:dd03:69f0/1242c19:dd:dd0:ec00:c25:c25:dd03:69ff
1612c19:dd:dd0:ec00:c25:c25:dd03:6a00/1242c19:dd:dd0:ec00:c25:c25:dd03:6a0f
1622c19:dd:dd0:ec00:c25:c25:dd03:6a10/1242c19:dd:dd0:ec00:c25:c25:dd03:6a1f
1632c19:dd:dd0:ec00:c25:c25:dd03:6a20/1242c19:dd:dd0:ec00:c25:c25:dd03:6a2f
1642c19:dd:dd0:ec00:c25:c25:dd03:6a30/1242c19:dd:dd0:ec00:c25:c25:dd03:6a3f
1652c19:dd:dd0:ec00:c25:c25:dd03:6a40/1242c19:dd:dd0:ec00:c25:c25:dd03:6a4f
1662c19:dd:dd0:ec00:c25:c25:dd03:6a50/1242c19:dd:dd0:ec00:c25:c25:dd03:6a5f
1672c19:dd:dd0:ec00:c25:c25:dd03:6a60/1242c19:dd:dd0:ec00:c25:c25:dd03:6a6f
1682c19:dd:dd0:ec00:c25:c25:dd03:6a70/1242c19:dd:dd0:ec00:c25:c25:dd03:6a7f
1692c19:dd:dd0:ec00:c25:c25:dd03:6a80/1242c19:dd:dd0:ec00:c25:c25:dd03:6a8f
1702c19:dd:dd0:ec00:c25:c25:dd03:6a90/1242c19:dd:dd0:ec00:c25:c25:dd03:6a9f
1712c19:dd:dd0:ec00:c25:c25:dd03:6aa0/1242c19:dd:dd0:ec00:c25:c25:dd03:6aaf
1722c19:dd:dd0:ec00:c25:c25:dd03:6ab0/1242c19:dd:dd0:ec00:c25:c25:dd03:6abf
1732c19:dd:dd0:ec00:c25:c25:dd03:6ac0/1242c19:dd:dd0:ec00:c25:c25:dd03:6acf
1742c19:dd:dd0:ec00:c25:c25:dd03:6ad0/1242c19:dd:dd0:ec00:c25:c25:dd03:6adf
1752c19:dd:dd0:ec00:c25:c25:dd03:6ae0/1242c19:dd:dd0:ec00:c25:c25:dd03:6aef
1762c19:dd:dd0:ec00:c25:c25:dd03:6af0/1242c19:dd:dd0:ec00:c25:c25:dd03:6aff
1772c19:dd:dd0:ec00:c25:c25:dd03:6b00/1242c19:dd:dd0:ec00:c25:c25:dd03:6b0f
1782c19:dd:dd0:ec00:c25:c25:dd03:6b10/1242c19:dd:dd0:ec00:c25:c25:dd03:6b1f
1792c19:dd:dd0:ec00:c25:c25:dd03:6b20/1242c19:dd:dd0:ec00:c25:c25:dd03:6b2f
1802c19:dd:dd0:ec00:c25:c25:dd03:6b30/1242c19:dd:dd0:ec00:c25:c25:dd03:6b3f
1812c19:dd:dd0:ec00:c25:c25:dd03:6b40/1242c19:dd:dd0:ec00:c25:c25:dd03:6b4f
1822c19:dd:dd0:ec00:c25:c25:dd03:6b50/1242c19:dd:dd0:ec00:c25:c25:dd03:6b5f
1832c19:dd:dd0:ec00:c25:c25:dd03:6b60/1242c19:dd:dd0:ec00:c25:c25:dd03:6b6f
1842c19:dd:dd0:ec00:c25:c25:dd03:6b70/1242c19:dd:dd0:ec00:c25:c25:dd03:6b7f
1852c19:dd:dd0:ec00:c25:c25:dd03:6b80/1242c19:dd:dd0:ec00:c25:c25:dd03:6b8f
1862c19:dd:dd0:ec00:c25:c25:dd03:6b90/1242c19:dd:dd0:ec00:c25:c25:dd03:6b9f
1872c19:dd:dd0:ec00:c25:c25:dd03:6ba0/1242c19:dd:dd0:ec00:c25:c25:dd03:6baf
1882c19:dd:dd0:ec00:c25:c25:dd03:6bb0/1242c19:dd:dd0:ec00:c25:c25:dd03:6bbf
1892c19:dd:dd0:ec00:c25:c25:dd03:6bc0/1242c19:dd:dd0:ec00:c25:c25:dd03:6bcf
1902c19:dd:dd0:ec00:c25:c25:dd03:6bd0/1242c19:dd:dd0:ec00:c25:c25:dd03:6bdf
1912c19:dd:dd0:ec00:c25:c25:dd03:6be0/1242c19:dd:dd0:ec00:c25:c25:dd03:6bef
1922c19:dd:dd0:ec00:c25:c25:dd03:6bf0/1242c19:dd:dd0:ec00:c25:c25:dd03:6bff
1932c19:dd:dd0:ec00:c25:c25:dd03:6c00/1242c19:dd:dd0:ec00:c25:c25:dd03:6c0f
1942c19:dd:dd0:ec00:c25:c25:dd03:6c10/1242c19:dd:dd0:ec00:c25:c25:dd03:6c1f
1952c19:dd:dd0:ec00:c25:c25:dd03:6c20/1242c19:dd:dd0:ec00:c25:c25:dd03:6c2f
1962c19:dd:dd0:ec00:c25:c25:dd03:6c30/1242c19:dd:dd0:ec00:c25:c25:dd03:6c3f
1972c19:dd:dd0:ec00:c25:c25:dd03:6c40/1242c19:dd:dd0:ec00:c25:c25:dd03:6c4f
1982c19:dd:dd0:ec00:c25:c25:dd03:6c50/1242c19:dd:dd0:ec00:c25:c25:dd03:6c5f
1992c19:dd:dd0:ec00:c25:c25:dd03:6c60/1242c19:dd:dd0:ec00:c25:c25:dd03:6c6f
2002c19:dd:dd0:ec00:c25:c25:dd03:6c70/1242c19:dd:dd0:ec00:c25:c25:dd03:6c7f
2012c19:dd:dd0:ec00:c25:c25:dd03:6c80/1242c19:dd:dd0:ec00:c25:c25:dd03:6c8f
2022c19:dd:dd0:ec00:c25:c25:dd03:6c90/1242c19:dd:dd0:ec00:c25:c25:dd03:6c9f
2032c19:dd:dd0:ec00:c25:c25:dd03:6ca0/1242c19:dd:dd0:ec00:c25:c25:dd03:6caf
2042c19:dd:dd0:ec00:c25:c25:dd03:6cb0/1242c19:dd:dd0:ec00:c25:c25:dd03:6cbf
2052c19:dd:dd0:ec00:c25:c25:dd03:6cc0/1242c19:dd:dd0:ec00:c25:c25:dd03:6ccf
2062c19:dd:dd0:ec00:c25:c25:dd03:6cd0/1242c19:dd:dd0:ec00:c25:c25:dd03:6cdf
2072c19:dd:dd0:ec00:c25:c25:dd03:6ce0/1242c19:dd:dd0:ec00:c25:c25:dd03:6cef
2082c19:dd:dd0:ec00:c25:c25:dd03:6cf0/1242c19:dd:dd0:ec00:c25:c25:dd03:6cff
2092c19:dd:dd0:ec00:c25:c25:dd03:6d00/1242c19:dd:dd0:ec00:c25:c25:dd03:6d0f
2102c19:dd:dd0:ec00:c25:c25:dd03:6d10/1242c19:dd:dd0:ec00:c25:c25:dd03:6d1f
2112c19:dd:dd0:ec00:c25:c25:dd03:6d20/1242c19:dd:dd0:ec00:c25:c25:dd03:6d2f
2122c19:dd:dd0:ec00:c25:c25:dd03:6d30/1242c19:dd:dd0:ec00:c25:c25:dd03:6d3f
2132c19:dd:dd0:ec00:c25:c25:dd03:6d40/1242c19:dd:dd0:ec00:c25:c25:dd03:6d4f
2142c19:dd:dd0:ec00:c25:c25:dd03:6d50/1242c19:dd:dd0:ec00:c25:c25:dd03:6d5f
2152c19:dd:dd0:ec00:c25:c25:dd03:6d60/1242c19:dd:dd0:ec00:c25:c25:dd03:6d6f
2162c19:dd:dd0:ec00:c25:c25:dd03:6d70/1242c19:dd:dd0:ec00:c25:c25:dd03:6d7f
2172c19:dd:dd0:ec00:c25:c25:dd03:6d80/1242c19:dd:dd0:ec00:c25:c25:dd03:6d8f
2182c19:dd:dd0:ec00:c25:c25:dd03:6d90/1242c19:dd:dd0:ec00:c25:c25:dd03:6d9f
2192c19:dd:dd0:ec00:c25:c25:dd03:6da0/1242c19:dd:dd0:ec00:c25:c25:dd03:6daf
2202c19:dd:dd0:ec00:c25:c25:dd03:6db0/1242c19:dd:dd0:ec00:c25:c25:dd03:6dbf
2212c19:dd:dd0:ec00:c25:c25:dd03:6dc0/1242c19:dd:dd0:ec00:c25:c25:dd03:6dcf
2222c19:dd:dd0:ec00:c25:c25:dd03:6dd0/1242c19:dd:dd0:ec00:c25:c25:dd03:6ddf
2232c19:dd:dd0:ec00:c25:c25:dd03:6de0/1242c19:dd:dd0:ec00:c25:c25:dd03:6def
2242c19:dd:dd0:ec00:c25:c25:dd03:6df0/1242c19:dd:dd0:ec00:c25:c25:dd03:6dff
2252c19:dd:dd0:ec00:c25:c25:dd03:6e00/1242c19:dd:dd0:ec00:c25:c25:dd03:6e0f
2262c19:dd:dd0:ec00:c25:c25:dd03:6e10/1242c19:dd:dd0:ec00:c25:c25:dd03:6e1f
2272c19:dd:dd0:ec00:c25:c25:dd03:6e20/1242c19:dd:dd0:ec00:c25:c25:dd03:6e2f
2282c19:dd:dd0:ec00:c25:c25:dd03:6e30/1242c19:dd:dd0:ec00:c25:c25:dd03:6e3f
2292c19:dd:dd0:ec00:c25:c25:dd03:6e40/1242c19:dd:dd0:ec00:c25:c25:dd03:6e4f
2302c19:dd:dd0:ec00:c25:c25:dd03:6e50/1242c19:dd:dd0:ec00:c25:c25:dd03:6e5f
2312c19:dd:dd0:ec00:c25:c25:dd03:6e60/1242c19:dd:dd0:ec00:c25:c25:dd03:6e6f
2322c19:dd:dd0:ec00:c25:c25:dd03:6e70/1242c19:dd:dd0:ec00:c25:c25:dd03:6e7f
2332c19:dd:dd0:ec00:c25:c25:dd03:6e80/1242c19:dd:dd0:ec00:c25:c25:dd03:6e8f
2342c19:dd:dd0:ec00:c25:c25:dd03:6e90/1242c19:dd:dd0:ec00:c25:c25:dd03:6e9f
2352c19:dd:dd0:ec00:c25:c25:dd03:6ea0/1242c19:dd:dd0:ec00:c25:c25:dd03:6eaf
2362c19:dd:dd0:ec00:c25:c25:dd03:6eb0/1242c19:dd:dd0:ec00:c25:c25:dd03:6ebf
2372c19:dd:dd0:ec00:c25:c25:dd03:6ec0/1242c19:dd:dd0:ec00:c25:c25:dd03:6ecf
2382c19:dd:dd0:ec00:c25:c25:dd03:6ed0/1242c19:dd:dd0:ec00:c25:c25:dd03:6edf
2392c19:dd:dd0:ec00:c25:c25:dd03:6ee0/1242c19:dd:dd0:ec00:c25:c25:dd03:6eef
2402c19:dd:dd0:ec00:c25:c25:dd03:6ef0/1242c19:dd:dd0:ec00:c25:c25:dd03:6eff
2412c19:dd:dd0:ec00:c25:c25:dd03:6f00/1242c19:dd:dd0:ec00:c25:c25:dd03:6f0f
2422c19:dd:dd0:ec00:c25:c25:dd03:6f10/1242c19:dd:dd0:ec00:c25:c25:dd03:6f1f
2432c19:dd:dd0:ec00:c25:c25:dd03:6f20/1242c19:dd:dd0:ec00:c25:c25:dd03:6f2f
2442c19:dd:dd0:ec00:c25:c25:dd03:6f30/1242c19:dd:dd0:ec00:c25:c25:dd03:6f3f
2452c19:dd:dd0:ec00:c25:c25:dd03:6f40/1242c19:dd:dd0:ec00:c25:c25:dd03:6f4f
2462c19:dd:dd0:ec00:c25:c25:dd03:6f50/1242c19:dd:dd0:ec00:c25:c25:dd03:6f5f
2472c19:dd:dd0:ec00:c25:c25:dd03:6f60/1242c19:dd:dd0:ec00:c25:c25:dd03:6f6f
2482c19:dd:dd0:ec00:c25:c25:dd03:6f70/1242c19:dd:dd0:ec00:c25:c25:dd03:6f7f
2492c19:dd:dd0:ec00:c25:c25:dd03:6f80/1242c19:dd:dd0:ec00:c25:c25:dd03:6f8f
2502c19:dd:dd0:ec00:c25:c25:dd03:6f90/1242c19:dd:dd0:ec00:c25:c25:dd03:6f9f
2512c19:dd:dd0:ec00:c25:c25:dd03:6fa0/1242c19:dd:dd0:ec00:c25:c25:dd03:6faf
2522c19:dd:dd0:ec00:c25:c25:dd03:6fb0/1242c19:dd:dd0:ec00:c25:c25:dd03:6fbf
2532c19:dd:dd0:ec00:c25:c25:dd03:6fc0/1242c19:dd:dd0:ec00:c25:c25:dd03:6fcf
2542c19:dd:dd0:ec00:c25:c25:dd03:6fd0/1242c19:dd:dd0:ec00:c25:c25:dd03:6fdf
2552c19:dd:dd0:ec00:c25:c25:dd03:6fe0/1242c19:dd:dd0:ec00:c25:c25:dd03:6fef
2562c19:dd:dd0:ec00:c25:c25:dd03:6ff0/1242c19:dd:dd0:ec00:c25:c25:dd03:6fff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses